<?
	global $sess;
	$grupa = $_GET[grupa];

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {

	//	$przedmiot_id = $sess->get(w_przedmiot_id);
		$przedmiot = $sess->get(w_przedmiot);
	//	$os_id = $sess->get(id);
	//	$cykl_id = $sess->get(w_akt_cykl);
		$zaj_cykli = $sess->get(w_zajecia);
		$zadanka = $sess->get(W_Pzadania);

		$oddania = array();

		$q = new CQuery("SELECT os_id, imie, nazwisko
						FROM XP_OSOBY_GRUP, XP_OSOBY
						WHERE (gr_nr='$grupa' and zaj_cyk_id='$zaj_cykli' and os_id=id)");
		while ($arr = $q->fetch_array())
			$oddania[$arr[os_id]] = array("student$arr[os_id]" => "$arr[imie] $arr[nazwisko]");
		$q->free();

		$przynalezy = array();
		$q = new CQuery("SELECT nazwa, z.id, nalezy
						FROM XP_ZADANIE z, XP_ZADANIE_GRUPY zg
						WHERE (gr_nr='$grupa' and
								id_zad = z.id and
								zaj_cykli='$zaj_cykli')");
		while ($arr = $q->fetch_array())
			if ($arr[nalezy]=='Y') $przynalezy[$arr[id]] = $arr[nazwa];
		$q->free();

		$plagiat = array();
		$q = new CQuery("SELECT p.id, op.id_zad, op.id_stud
						FROM XP_ZADANIE z, XP_PLAGIAT p, XP_ODDANE_PRACE op, XP_ZADANIE_GRUPY zg
						WHERE (zaj_cykli='$zaj_cykli' and
								gr_nr='$grupa' and
								zg.id_zad = z.id and
								nalezy = 'Y' and
								(op.id = id_zad1 or op.id = id_zad2));");
		while ($arr = $q->fetch_array())
			$plagiat["$arr[id_zad]$arr[id_stud]"] = $arr[id];
		$q->free();

		$q = new CQuery("SELECT imie, nazwisko, o.id, op.id_zad, oddanie
						FROM
							XP_OSOBY o,
							XP_OSOBY_GRUP og,
							XP_ZADANIE z,
							XP_ODDANE_PRACE op
						WHERE
							(og.zaj_cyk_id = '$zaj_cykli' and
							og.os_id = o.id and
							og.gr_nr = '$grupa' and
							z.zaj_cykli = '$zaj_cykli' and
							op.id_zad = z.id and
							op.id_stud=o.id);");

		while ($arr = $q->fetch_array()){
	//		echo "student$arr[id] => $arr[imie] $arr[nazwisko]; zadanie: $arr[id_zad]<BR>";
			if (array_key_exists($arr[id_zad], $przynalezy))
				$oddania[$arr[id]][$arr[id_zad]] = $arr[oddanie];
		}
		$q->free();
	}
?>
